Bug 819182 - RFE: Add persistent names udev support back into biosdevname
RFE: Add persistent names udev support back into biosdevname
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: biosdevname (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Narendra K
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 08:55 EDT by Tom Horsley
Modified: 2012-07-26 18:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:32:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2012-05-05 08:55:03 EDT
Description of problem:

At least twice that I know of (maybe others) biosdevname updates have changed
the "immutable" names assigned to ethernet devices, see:

http://home.comcast.net/~tomhorsley/game/biosdevname.html

If biosdevname were simply used to select the initial names for new interfaces,
but the 70-persistent-net.rules file was still generated and still obeyed,
then these changes to the immutable naming would not screw up existing
systems.

Version-Release number of selected component (if applicable):
general problem, not version specific

How reproducible:
Every so often it happens on an update.

Steps to Reproduce:
1.See above
2.
3.
  
Actual results:
Immutable names change

Expected results:
No name changes.

Additional info:
Just think about it for a minute please: Every new quirky motherboard or PCI
extender or wot-not that gets produced is likely to introduce some new twist
that biosdevname needs to deal with. Whatever change is made for this new
quirk is quite likely to interact in some totally unpredictable fashion
with the millions of quirky motherboards already out there. You can't possibly
test on every one of them to find out if the change is going to jerk the
rug out from somebody else. Putting back the persistent rules will eradicate
all these problems. Pretty please?
Comment 1 Narendra K 2012-06-27 11:15:59 EDT
Hi Joachim,

It would be great if you could test the biosdevname package from 
https://bugzilla.redhat.com/show_bug.cgi?id=816536#c28

and let us know if it addresses the issue reported in the thread -
http://lists.fedoraproject.org/pipermail/test/2012-May/107811.html
Comment 2 Joachim Backes 2012-06-27 11:43:10 EDT
(In reply to comment #1)
> Hi Joachim,
> 
> It would be great if you could test the biosdevname package from 
> https://bugzilla.redhat.com/show_bug.cgi?id=816536#c28
*******************************************************
I'm sorry, but I did not find any rpm to download.

Please tell me the download location :-)
*******************************************************

> 
> and let us know if it addresses the issue reported in the thread -
> http://lists.fedoraproject.org/pipermail/test/2012-May/107811.html
Comment 3 jordan hargrave 2012-06-27 13:10:16 EDT
Joachim,
 
 It is a tarball source, you will have to build the source for biosdevname on your system to test.
Comment 4 Joachim Backes 2012-06-27 13:21:52 EDT
(In reply to comment #3)
> Joachim,
>  
>  It is a tarball source, you will have to build the source for biosdevname
> on your system to test.

Good news: after building the tarball, the new biosdevname renames em15 to em1 (as previously) when rebooting. I think, this solved my issue.

Thank you, guys!
Comment 5 Fedora Update System 2012-07-18 09:36:00 EDT
biosdevname-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/biosdevname-0.4.1-1.fc17
Comment 6 Fedora Update System 2012-07-19 05:02:00 EDT
Package biosdevname-0.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing biosdevname-0.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10778/biosdevname-0.4.1-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-07-26 18:32:30 EDT
biosdevname-0.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.